/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 */

package repocli

import (
	"github.com/stretchr/testify/require"

	//"fmt"
	"context"
	"testing"
	"time"
)

func xxxTestPullImage(t *testing.T) {

	ctx, _ := context.WithTimeout(context.Background(), 10*time.Second)
	cli := NewClient(nil, nil)
	require.NotNil(t, cli)

	down := NewLoader(cli)
	require.NotNil(t, down)

	rawref := "mirror.gcr.io/alpine:3.20.0"
	destdir := "aaa"
	err := down.Pull(ctx, rawref, destdir, "linux", "amd64")
	require.NoError(t, err)

}
